import crafttweaker.api.item.IItemStack;
import crafttweaker.api.ingredient.IIngredient;

val vinylDust = <item:chemlib:polyvinyl_chloride_dust>;
val noFluid = <fluid:minecraft:empty>;
val vinylPlate = <item:chemlib:polyvinyl_chloride_plate>;

val arcaneEssence = <item:irons_spellbooks:arcane_essence>;
//val heart = <item:reliquary:zombie_heart>;
val aceAcidBucket = <item:chemlib:acetic_acid_bucket>;
val ironSword = <item:minecraft:iron_sword>;
val trainStation = <item:create:track_station>;
//val throwingCard = <item:conjurer_illager:throwing_card>;
val blackDye = <item:minecraft:black_dye>;
val checkerBlock = <item:supplementaries:checker_block>;
val advComputer = <item:computercraft:computer_advanced>;
//val starfield = <item:botania:starfield>;
//val homeLunch = <item:pamhc2foodextended:homestylelunchitem>;
//val soulScythe = <item:malum:soul_stained_steel_scythe>;
val lichPattern = <item:twilightforest:lich_banner_pattern>;
//val multiCycleInjector = <item:thermal:dynamo_fuel_augment>;
//val jeweledApple = <item:tconstruct:jeweled_apple>;
val darkenedApple = <item:evilcraft:darkened_apple>;
//val banana = <item:pamhc2trees:bananaitem>;
//val antlers = <item:mysticalworld:antlers>;
val queenPattern = <item:twilightforest:snow_queen_banner_pattern>;
//val teddyBear = <item:naturalist:teddy_bear>;
val netheriteCoin = <item:lightmanscurrency:coin_netherite>;
val wanderingTrader = <item:minecraft:wandering_trader_spawn_egg>;
val whiteChocolate = <item:create_confectionery:white_chocolate_bucket>;
val rubyChocolate = <item:create_confectionery:ruby_chocolate_bucket>;
val otherworldGoggles = <item:occultism:otherworld_goggles>;

val giveyouup = <item:custommusicdiscs:giveyouup>;
val drAcidTunnel = <item:custommusicdiscs:deltarune_acid_tunnel>;
val drBattle = <item:custommusicdiscs:deltarune_battle>;
val drBerdlyChase = <item:custommusicdiscs:deltarune_berdly_chase>;
val drCastletown = <item:custommusicdiscs:deltarune_castletown>;
val drCastletownEmpty = <item:custommusicdiscs:deltarune_castletown_empty>;
val drCheckers = <item:custommusicdiscs:deltarune_checkers>;
val drCyber = <item:custommusicdiscs:deltarune_cyber>;
val drFieldOfHopes = <item:custommusicdiscs:deltarune_field_of_hopes>;
val drFriendship = <item:custommusicdiscs:deltarune_friendship>;
val drJoker = <item:custommusicdiscs:deltarune_joker>;
val drKingBoss = <item:custommusicdiscs:deltarune_kingboss>;
val drLancer= <item:custommusicdiscs:deltarune_lancer>;
val drLegend = <item:custommusicdiscs:deltarune_legend>;
val drMansion = <item:custommusicdiscs:deltarune_mansion>;
val drNoelleSchool= <item:custommusicdiscs:deltarune_noelle_school>;
val drQueenBoss = <item:custommusicdiscs:deltarune_queen_boss>;
val drShop1 = <item:custommusicdiscs:deltarune_shop1>;
val drSpamtonBattle = <item:custommusicdiscs:deltarune_spamton_battle>;
val drSpamtonMeeting = <item:custommusicdiscs:deltarune_spamton_meeting>;
val drSpamtonNeo = <item:custommusicdiscs:deltarune_spamton_neo>;
val drTheDarkTruth = <item:custommusicdiscs:deltarune_the_dark_truth>;

//<recipetype:thermal:press>.addRecipe("thermal_polyvinyl_chloride_plate", [vinylPlate % -100.0], noFluid, [vinylDust*8], 2400);

function addDiscRecipe(uniqueID as string, uniqueItem as IIngredient, itemOut as IItemStack) as void {
	val vinylPlate = <item:chemlib:polyvinyl_chloride_plate>;
	val arcaneEssence = <item:irons_spellbooks:arcane_essence>;
	mods.extendedcrafting.CombinationCrafting.addRecipe(uniqueID, itemOut, 50000, [uniqueItem, vinylPlate, vinylPlate, vinylPlate, vinylPlate, vinylPlate, vinylPlate, vinylPlate, vinylPlate, arcaneEssence]);
}

function addDiscRecipeOverride(uniqueID as string, itemList as IIngredient[], itemOut as IItemStack) as void {
	mods.extendedcrafting.CombinationCrafting.addRecipe(uniqueID, itemOut, 50000, itemList);
}

//addDiscRecipe("custommusicdiscs_giveyouup", heart, giveyouup);
addDiscRecipe("custommusicdiscs_deltarune_acid_tunnel", aceAcidBucket, drAcidTunnel);
addDiscRecipe("custommusicdiscs_deltarune_battle", ironSword, drBattle);
addDiscRecipe("custommusicdiscs_deltarune_berdly_chase", trainStation, drBerdlyChase);
addDiscRecipe("custommusicdiscs_deltarune_castletown", drCastletownEmpty, drCastletown);
//addDiscRecipe("custommusicdiscs_deltarune_castletown_empty", throwingCard, drCastletownEmpty);
//addDiscRecipe("custommusicdiscs_deltarune_checkers", checkerBlock, drCheckers);
addDiscRecipe("custommusicdiscs_deltarune_cyber", advComputer, drCyber);
//addDiscRecipe("custommusicdiscs_deltarune_field_of_hopes", starfield, drFieldOfHopes);
//addDiscRecipe("custommusicdiscs_deltarune_friendship", homeLunch, drFriendship);
//addDiscRecipe("custommusicdiscs_deltarune_joker", soulScythe, drJoker);
addDiscRecipe("custommusicdiscs_deltarune_kingboss", lichPattern, drKingBoss);
//addDiscRecipe("custommusicdiscs_deltarune_lancer", multiCycleInjector, drLancer);
//addDiscRecipe("custommusicdiscs_deltarune_legend", jeweledApple, drLegend);
//addDiscRecipe("custommusicdiscs_deltarune_mansion", banana, drMansion);
//addDiscRecipe("custommusicdiscs_deltarune_noelle_school", antlers, drNoelleSchool);
addDiscRecipe("custommusicdiscs_deltarune_queen_boss", queenPattern, drQueenBoss);
//addDiscRecipe("custommusicdiscs_deltarune_shop1", teddyBear, drShop1, 50000);
addDiscRecipe("custommusicdiscs_deltarune_spamton_battle", netheriteCoin, drSpamtonBattle);
addDiscRecipe("custommusicdiscs_deltarune_spamton_meeting", wanderingTrader, drSpamtonMeeting);
addDiscRecipeOverride("custommusicdiscs_deltarune_spamton_neo", [drSpamtonBattle, whiteChocolate, rubyChocolate, arcaneEssence], drSpamtonNeo);
addDiscRecipe("custommusicdiscs_deltarune_the_dark_truth", otherworldGoggles, drTheDarkTruth);

// Script written by FoxMcloud5655